#include "utilz.h"


#ifdef _WIN32
#	ifdef __GNUWIN32__
#		include <utime.h>
#	else
#		include <sys/utime.h>
#		include <time.h>
#	endif
#endif




static time_t dosTime2TimeT(UINT32 dostime)   // from INFO-ZIP src
{
	struct tm t;         

	t.tm_isdst = -1;     

	t.tm_sec  = (((int)dostime) <<  1) & 0x3e;
	t.tm_min  = (((int)dostime) >>  5) & 0x3f;
	t.tm_hour = (((int)dostime) >> 11) & 0x1f;
	t.tm_mday = (int)(dostime >> 16) & 0x1f;
	t.tm_mon  = ((int)(dostime >> 21) & 0x0f) - 1;
	t.tm_year = ((int)(dostime >> 25) & 0x7f) + 80;

	return mktime(&t);

}

BOOL setFileTimeTo(char *path, UINT32 dostime)
{
    utimbuf tmp;
    tmp.modtime = dosTime2TimeT(dostime);
    if(utime(path, &tmp) == 0){
        return TRUE;
    } else {
        return FALSE;        
    };        
}   



